// fragment shader
precision mediump float;
varying vec2 textureCoordinate;

varying vec4 varyingPotion;
uniform float bound;
uniform float type;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

void main() {
    if(type==0.0){
        if(varyingPotion.x > bound){
            gl_FragColor = texture2D(inputImageTexture, textureCoordinate);
        }else{
            gl_FragColor = texture2D(inputImageTexture2, textureCoordinate);
        }
    }else{
         if(varyingPotion.x < bound){
            gl_FragColor = texture2D(inputImageTexture, textureCoordinate);
         }else{
            gl_FragColor = texture2D(inputImageTexture2, textureCoordinate);
         }
    }
}